libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataModelIndex Class Reference

List of all members.

## Public Member Functions

| DataModelIndex (const DataModelIndex& other)
| DataModelIndex (GdaDataModelIndex* gobject, bool make_a_copy=true)
| DataModelIndex ()
void | gda_data_set_name (const Glib::ustring& name)
| Sets the name of dmi to name.
Glib::ListHandle< Glib::RefPtr< const ColumnIndex > > | get_column_index_list () const

Returns:
  dmi's list of Gda::ColumnIndex.

Glib::ListHandle< Glib::RefPtr< ColumnIndex > > | get_column_index_list ()

Returns:
  dmi's list of Gda::ColumnIndex.

Glib::ustring | get_name () const

Returns:
  The name of dmi.

bool | get_primary_key () const

Returns:
  `true` if primary key.

Glib::ustring | get_references () const

Returns:
  dmi's references.

Glib::ustring | get_table_name () const

Returns:
  The table name of dmi.

bool | get_unique_key () const

Returns:
  `true` if unique key.

const GdaDataModelIndex* | gobj () const
| Provides access to the underlying C instance.
GdaDataModelIndex* | gobj ()
| Provides access to the underlying C instance.
GdaDataModelIndex* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
DataModelIndex& | operator= (const DataModelIndex& other)
void | set_column_index_list (const Glib::ListHandle<Glib::RefPtr<ColumnIndex>>& col_idx_list)
| Sets dmi's list of column index attributes by copying col_idx_list to its internal representation.
void | set_primary_key (bool pk=true)
| Sets if a Gda::DataModelIndex is a primary key.
void | set_references (const Glib::ustring& ref)
| Sets dmi's references.
void | set_table_name (const Glib::ustring& name)
| Sets the table name of dmi to table_name.
void | set_unique_key (bool uk=true)
| Sets if a Gda::DataModelIndex is a unique key.
void | swap (DataModelIndex& other)
| ~DataModelIndex ()

## Protected Attributes

GdaDataModelIndex* | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const DataModelIndex& lhs, const DataModelIndex& rhs)

Parameters:

  | lhs | The left-hand side

bool | operator== (const DataModelIndex& lhs, const DataModelIndex& rhs)

Parameters:

  | lhs | The left-hand side

void | swap (DataModelIndex& lhs, DataModelIndex& rhs)

Parameters:

  | lhs | The left-hand side

Gnome::Gda::DataModelIndex | wrap (GdaDataModelIndex* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gnome::Gda::DataModelIndex::DataModelIndex | ( |  | ) |

Gnome::Gda::DataModelIndex::DataModelIndex | ( | GdaDataModelIndex * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Gnome::Gda::DataModelIndex::DataModelIndex | ( | const DataModelIndex& | other | ) |

Gnome::Gda::DataModelIndex::~DataModelIndex | ( |  | ) |

## Member Function Documentation

void Gnome::Gda::DataModelIndex::gda_data_set_name | ( | const Glib::ustring & | name | ) |

Sets the name of dmi to name.

Parameters:

  | name | The new name of dmi.

Glib::ListHandle<Glib::RefPtr<const ColumnIndex> > Gnome::Gda::DataModelIndex::get_column_index_list | ( |  | ) | const

Returns:
  dmi's list of Gda::ColumnIndex.

Glib::ListHandle<Glib::RefPtr<ColumnIndex> > Gnome::Gda::DataModelIndex::get_column_index_list | ( |  | ) |

Returns:
  dmi's list of Gda::ColumnIndex.

Glib::ustring Gnome::Gda::DataModelIndex::get_name | ( |  | ) | const

Returns:
  The name of dmi.

bool Gnome::Gda::DataModelIndex::get_primary_key | ( |  | ) | const

Returns:
  `true` if primary key.

Glib::ustring Gnome::Gda::DataModelIndex::get_references | ( |  | ) | const

Returns:
  dmi's references.

Glib::ustring Gnome::Gda::DataModelIndex::get_table_name | ( |  | ) | const

Returns:
  The table name of dmi.

bool Gnome::Gda::DataModelIndex::get_unique_key | ( |  | ) | const

Returns:
  `true` if unique key.

const GdaDataModelIndex* Gnome::Gda::DataModelIndex::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GdaDataModelIndex* Gnome::Gda::DataModelIndex::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

GdaDataModelIndex* Gnome::Gda::DataModelIndex::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

DataModelIndex& Gnome::Gda::DataModelIndex::operator= | ( | const DataModelIndex& | other | ) |

void Gnome::Gda::DataModelIndex::set_column_index_list | ( | const Glib::ListHandle<Glib::RefPtr<ColumnIndex>>& | col_idx_list | ) |

Sets dmi's list of column index attributes by copying col_idx_list to its internal representation.

Parameters:

  | col_idx_list | List of Gda::ColumnIndex.

void Gnome::Gda::DataModelIndex::set_primary_key | ( | bool | pk = `true` | ) |

Sets if a Gda::DataModelIndex is a primary key.

Parameters:

  | pk | The new primary key setting of dmi.

void Gnome::Gda::DataModelIndex::set_references | ( | const Glib::ustring & | ref | ) |

Sets dmi's references.

Parameters:

  | ref | References.

void Gnome::Gda::DataModelIndex::set_table_name | ( | const Glib::ustring & | name | ) |

Sets the table name of dmi to table_name.

Parameters:

  | name | The new name of dmi.

void Gnome::Gda::DataModelIndex::set_unique_key | ( | bool | uk = `true` | ) |

Sets if a Gda::DataModelIndex is a unique key.

Parameters:

  | uk | The new primary key setting of dmi.

void Gnome::Gda::DataModelIndex::swap | ( | DataModelIndex& | other | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const DataModelIndex& | lhs,
|  | const DataModelIndex& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Returns:
  The result

bool operator== | ( | const DataModelIndex& | lhs,
|  | const DataModelIndex& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Returns:
  The result

void swap | ( | DataModelIndex& | lhs,
|  | DataModelIndex& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Gnome::Gda::DataModelIndex wrap | ( | GdaDataModelIndex * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaDataModelIndex* Gnome::Gda::DataModelIndex::gobject_`[protected]`

The documentation for this class was generated from the following file:

- datamodelindex.h